gleidescope(6)

NAME
gleidescope - a tiled OpenGL kaleidescope

SYNOPSIS
gleidescope [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [-delay number] [-move] [-rotate] [-zoom] [-image file] [-fps] [-size number] [-duration number]

DESCRIPTION
A tiled kaleidescope using OpenGL.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

--move
    Move the camera.

--rotate
    Rotate the camera.

--zoom
    Zoom the camera in and out.

--image file
    The texture map to use at the end of the kaleidescope.

--fps
    Display the current frame rate, CPU load, and polygon count.

--size number
    The size of the hexagons being displayed [1(small)-10(large)]

--duration number
    The time in seconds before another image is chosen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Andrew Dean Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Andrew Dean.